@font-face {
    font-family: "GreatVibes";
    src: url("fonts/GreatVibes-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

*{
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body{
    padding: 0;
    margin: 0;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 
    "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
    padding-top: 70px;
}

#main{
    display: flex;
}

#sidebar{
    background-color: #223e4e;
    height: 100dvh;
    width: 25%;
    position: relative;
    transition: width 0.5s ease;
    position: fixed;
    top: 70px;
    left: 0;
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    overflow-y: auto;
}

#sidebar.closed{
    width: 50px;
}

#arrowicon{
    height: 25px;
    padding: 15px;
    position: absolute;
    top: 0;
    right: 0;
    filter: invert(1);
    transform: rotate(180deg);
    transition: filter 0.2s ease, transform 0.5s ease;
}

#arrowicon:hover{
    cursor: pointer;
    filter: brightness(0) saturate(100%) invert(14%) sepia(96%) saturate(6760%) hue-rotate(353deg);
}

#sidebar.closed #arrowicon{
    transform: rotate(0deg);
    height: 20px;
    filter: brightness(0) saturate(100%) invert(14%) sepia(96%) saturate(6760%) hue-rotate(353deg);
}

#list{
    display: flex;
    flex-direction: column;
    text-align: left;
    transition: display 0.5s ease;
    margin-left: 20px;
    margin-top: 60px;
    margin-bottom: 60px;
    max-height: calc(100dvh - 150px);
    overflow-y: scroll;
    scrollbar-width: none;
    -ms-overflow-style: none;
    /* box-shadow: inset 0 10px 6px -6px rgba(20, 35, 45, 0.46); */
}

#list::-webkit-scrollbar{
    display: none;
}

#list.closed{
    display: none;
}

.entry, .entry2{
    color: whitesmoke;
    text-decoration: none;
    width: 80%;
    height: 30px;
    line-height: 30px;
    margin-bottom: 15px;
    font-size: 20px;
    padding-left: 20px;
    padding-bottom: 15px;
    border-bottom: 1px solid whitesmoke;
}

.entry:hover, .entry2:hover, .entry:hover::before, .subentry:hover{
    color: #ff8888;
    cursor: pointer;
}

.subentry{
    color: whitesmoke;
    text-decoration: none;
    width: 80%;
    height: 20px;
    line-height: 30px;
    margin-bottom: 15px;
    font-size: 17px;
    padding-left: 50px;
    padding-bottom: 10px;
    display: none;
}

#content{
    width: 100%;
    margin-left: 25%;
    transition: margin-left 0.5s ease;
    padding: 30px;
}

#content.closed{
    margin-left: 50px;
}

#header{
    height: 70px;
    line-height: 70px;
    text-align: center;
    font-weight: 500;
    background-color: whitesmoke;
    display: flex;
    position: fixed;
    width: 100%;
    top: 0;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    z-index: 1000;
}

#header h2{
    padding: 0;
    margin: 0;
    font-size: 25px;
    font-family: "GreatVibes", sans-serif;
}

#header img{
    height: 50px;
    margin-top: 10px;
    margin-left: 20px;
    margin-right: 50px;
}

#logoTxt{
    display: none;
}

#logoImg{
    display: block;
}

#buttons{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.clasaBtn{
    border-radius: 15px;
    outline: none;
    border: 1px solid transparent;
    padding: 10px;
    margin-right: 10px;
    background-color: #e9e9e9;
    font-weight: bold;
}

.clasaBtn.pressed{
    background-color: #ffb2b2;
    border: 1px solid #b00e00;
}

.clasaBtn:hover{
    cursor: pointer;
    background-color: rgb(242, 242, 242);
    border: 1px solid #b00e00;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
}

.clasaBtn.pressed:hover{
    border: 1px solid #b00e00;
    background-color: #ffb2b2;
}

.participants{
    display: none;
    margin-top: 25px;
    border-collapse: collapse;
}

.subjects{
    display: none;
}

#tables{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

th, td {
    border: 1px solid black;
    padding: 8px;
    text-align: left;
}

th {
    background-color: #f2f2f2;
}

#v{
    display: block;
}

#vS{
    display: block;
}

tr:hover{
    background-color: #fcffbb;
    cursor: pointer;
}

#gallery{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    gap: 12px;
    padding: 12px;
}
  
#gallery img{
    width: 100%;
    height: 220px;
    object-fit: cover;
    display: block;
}

#gallery img:hover{
    box-shadow: 0 12px 25px rgba(0, 0, 0, 0.25);
}

#articles{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.article{
    width: 80%;
    background-color: whitesmoke;
    text-decoration: none;
    margin-bottom: 20px;
    border-radius: 5px;
    color: black;
    padding: 10px 15px 10px 15px;
    border: 1px solid #e0e0e0;
    display: flex;
    align-items: center;
}

.article .text{
    display: flex;
    flex-direction: column;
}

.article:hover{
    box-shadow: 0 12px 25px rgba(176, 176, 176, 0.25);
    /* background-color: rgb(252, 252, 252); */
    background-color: rgb(239, 248, 255);
    border: 1px solid #b00e00;
}

.article .title{
    font-weight: bold;
    font-size: 20px;
    margin-bottom: 10px;
}

.article .description{
    margin: 0 15px 10px 15px;
    text-align: justify;
}

.article .source{
    text-align: right;
    font-style: italic;
    color: #444444;
}

.article img{
    width: 150px;
    height: 150px;
    object-fit: cover;
    margin-right: 25px;
    border-radius: 5px;
}

#pdfContainer{
    display: flex;
    justify-content: center;
    height: 100dvh;
}

#pdfContainerWButtons{
    display: flex;
    justify-content: center;
    height: 100dvh;
    margin-top: 15px;
}

#pdf, #pdfSubject{
    width: 100%;
    height: 100%;
}

#placeholder{
    max-width: calc(100dvw - 100px);
    height: calc(100dvh - 150px);
    display: flex;
    justify-content: center;
    align-items: center;
}

#placeholder img{
    max-height: 40%;
    object-fit: contain;
    opacity: 0.25;
}

#map{
    display: flex;
    width: 100%;
    align-items: center;
    height: calc(100dvh - 150px);
    justify-content: center;
}

#map iframe{
    margin-right: 50px;
    border-radius: 5px;
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.356);
    max-width: calc(100dvw - 400px);
}

#map #contactDetailsMap{
    max-width: 300px;
    display: flex;
    flex-direction: column;
}

.cimTerkep{
    color: #b00e00;
    font-weight: bold;
}

.elerhetosegTerkep{
    margin-top: 0;
}

.details span{
    display: block;
    margin-bottom: 10px;
}

.details span a{
    text-decoration: none;
    color: black;
}

#koszonto{
    font-size: 20px;
    line-height: 1.5;
    display: flex;
    flex-direction: column;
}

#koszonto span{
    display: inline-block;
}

#koszonto .firstRow{
    margin-top: 40px;
    font-size: 20px;
    font-weight: 500;
}

#koszonto div:nth-child(1) .firstRow{
    margin-top: 0;
}

#koszonto .content{
    display: inline-block;
    text-align: justify;
    font-size: 18px;
}

#koszonto .content p{
    text-indent: 2em;
}

#koszonto .bottom{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin-top: 30px;
}

#koszonto img{
    width: 400px;
    border-radius: 2px;
}

#koszonto .lastRow{
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
}

#koszonto .lastRow span:nth-child(1){
    font-size: 18px;
    margin-top: 18px;
    margin-bottom: 8px;
}

#koszonto .lastRow span:nth-child(2){
    font-size: 18px;
    text-align: center;
}

#koszonto .lastRow span:nth-child(3){
    font-size: 15px;
    font-style: italic;
    text-align: center;
}

#koszonto .idezet{
    font-size: 20px;
    font-style: italic;
    font-weight: 500;
    display: flex;
    flex-direction: column;
}

#koszonto .idezet span:nth-child(2){
    margin-right: auto;
    font-size: 18px;
    font-weight: 400;
    margin-top: 10px;
}

.line{
    border-bottom: 1px solid #dcdcdc;
    margin: 70px 0 50px 0;
}

.line2{
    border-bottom: 1px solid #dcdcdc;
    margin: 15px 0 30px 0;
}

.szabalyok{
    display: flex;
    flex-direction: column;
    max-width: calc(100dvw - 200px);
}

.szabalyok h2{
    text-align: center;
    margin-bottom: 0;
}

.szabalyok h3{
    text-align: center;
    font-style: italic;
    margin-bottom: 40px;
    font-weight: 500;
}

.szabalyok ol{
    font-size: 20px;
}

.szabalyok ol li{
    margin-bottom: 20px;
}

.szabalyok ol li span{
    margin-top: 10px;
    display: flex;
    flex-direction: column;
}

.szabalyok ol li span a{
    display: block;
    word-break: break-word;
    overflow-wrap: break-word;
}

.hotels-container{
    width: 100%;
}

.hotel{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin-bottom: 50px;
}

.hotel img{
    width: 400px;
    height: 250px;
    border-radius: 5px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    object-fit: cover;
    margin-top: 10px;
}

.hotel h2{
    margin-bottom: 0;
    word-break: break-all;
}

.hotel h3{
    margin-top: 5px;
    font-weight: 500;
    font-style: italic;
    word-break: break-all;
}

.hotel a{
    font-size: 18px;
}

#pdfContainerImg{
    width: 100%;
    display: flex;
    flex-direction: column;
}

#pdfContainerImg img{
    width: 80%;
    margin-left: 10%;
}

.tamogatok{
    width: 100%;
}

.fotok{
    width: 100%;
    padding: 15px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;  
}

.fotok a{
    padding: 15px;
    border: 1px solid black;
    border-radius: 10px;
    text-decoration: none;
    color: black;
    font-weight: 500;
    background-color: #deeff9;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    margin-right: 15px;
    margin-bottom: 15px;
    text-align: center;
}

.fotok a:hover{
    background-color: #2d87c0;
    color: whitesmoke;
}

.subjects{
    width: 100%;
}

.subjects img{
    width: 80%;
    margin-left: 10%;
}

.javitokulcs{
    margin-top: 20px;
}

.eredmenyCim{
    margin-top: 0;
    margin-bottom: 0;
}

/* DEVICE REPONSIVE */

/* title already breaks here */
@media (max-width: 930px){
    #header h2{
        display: none;
    }

    #header{
        display: flex;
        justify-content: center;
    }

    #header img{
        margin: 10px 10px 0 10px;
    }

    #logoTxt{
        display: block;
    }
    
    #logoImg{
        display: none;
    }

    #sidebar{
        width: 75%;
        position: fixed;
        z-index: 1000;
    }

    #content{
        margin-left: 50px;
        display: flex;
        height: 100%;
    }

    #buttons{
        display: flex;
        flex-direction: column;
        padding: 0;
        margin: 0 15px 0 0;
        width: min-content;
    }

    #buttons button{
        margin: 0 0 10px 0;
    }
    
    #content.closed{
        margin-left: 50px;
    }

    #pdfContainer{
        height: calc(100dvh - 200px);
        width: 100%;
    }
    
    #pdfContainerWButtons{
        height: calc(100dvh - 200px);
        width: 100%;
    }
    
    #pdf, #pdfSubject{
        width: 90%;
        height: 90%;
    }

    #content{
        display: flex;
        justify-content: center;
        width: 100%;
    }

    .contentTable{
        display: flex;
        flex-direction: column;
    }

    .contentTable #buttons{
        display: flex;
        width: 100%;
        flex-direction: row;
        flex-wrap: wrap;
        gap: 10px;
    }

    .contentTable #tables{
        width: 100%;
    }

    #tables{
        /* overflow-x: auto; */
        width: 100%;
        table-layout: auto;
        display: flex;
        justify-content: center;
        right: 0;
    }

    .participants{
        width: auto;
        max-width: 100%;
        font-size: 14px;
        table-layout: auto;
    }

    .participants th, .participants td{
        white-space: normal;
        word-break: normal;
        padding: 4px 6px;
        font-size: 12px;
    }

    .article {
        flex-direction: column;
    }

    .article img{
        width: 100%;
        margin-right: 0;
        margin-bottom: 25px;
    }

    .article .description{
        text-align: left;
    }

    #map{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
    }
    
    #map iframe{
        border-radius: 5px;
        max-width: 100%;
        box-shadow: 0 6px 18px rgba(0, 0, 0, 0.356);
        max-height: 200px;
        margin-bottom: 50px;
        margin-right: 0;
    }
    
    #map #contactDetailsMap{
        width: 100%;
        display: flex;
        flex-direction: column;
    }

    #koszonto .content{
        text-align: unset;
    }

    #koszonto .content p{
        text-align: left;
    }

    #koszonto img{
        max-width: calc(100dvw - 110px);
        margin-top: 10px;
    }

    #koszonto .bottom{
        flex-direction: column;
    }

    #koszonto .content p{
        text-indent: 0;
    }

    #koszonto .lastRow span:nth-child(2){
        font-size: 18px;
    }

    #koszonto .idezet{
        font-size: 15px;
    }
    
    #koszonto .idezet span:nth-child(2){
        font-size: 14px;
    }

    .szabalyok{
        display: flex;
        flex-direction: column;
        max-width: 100dvw;
    }
    
    .szabalyok ol{
        font-size: 20px;
        margin-left: -10px;
    }
    
    .hotel img{
        width: 100%;
    }
    
    .hotel a{
        margin-bottom: 0;
        overflow-wrap: break-word;
        word-break: break-word;
    }

    #pdfContainerImg img{
        width: 100%;
        margin-left: 0;
    }

    .fotok{
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    .fotok a{
        display: flex;
        justify-content: center;
        border: 0;
        background-color: #bbd9ec9f;
        box-shadow: none;
        border-bottom: 1px solid #285875;
        border-radius: 10px 10px 0 0;
        padding-bottom: 15px;
        padding-top: 15px;
        margin-bottom: 15px;
    }

    .fotok a:hover{
        border-bottom: 2px solid #285875;
    }

    .subjects img{
        margin-left: 0;
        width: 100%;
    }

    .subjects h2{
        margin-top: 0;
        font-size: 20px;
    }
}


/* HOTELS SPECIFIC */

@media (max-width: 1300px){
    .hotel{
        flex-direction: column;
    }
}